package com.gic.haoban.manage.api.qdto.chat;

import com.gic.haoban.manage.api.dto.chat.GroupChatActivityDTO;

import java.io.Serializable;

public class GroupChatActivityHmQDTO implements Serializable {
    private static final long serialVersionUID = -28454620622119889L;
    /**
     * 社群活动id
     */
    private Long chatActivityId;
    /**
     * 邀请人会员ID
     */
    private String inviterMemberId;
    /**
     * 受邀人会员ID
     */
    private String inviteeMemberId;
    /**
     * 受邀人unionID
     */
    private String inviteeUnionId;
    /**
     * 企业ID
     */
    private String enterpriseId;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 省市编码
     */
    private String districtCode;

    /**
     * 是否跳过地区定位
     */
    private boolean skipArea = false;

    private GroupChatActivityDTO chatActivity;

    public Long getChatActivityId() {
        return chatActivityId;
    }

    public void setChatActivityId(Long chatActivityId) {
        this.chatActivityId = chatActivityId;
    }

    public String getInviterMemberId() {
        return inviterMemberId;
    }

    public void setInviterMemberId(String inviterMemberId) {
        this.inviterMemberId = inviterMemberId;
    }

    public String getInviteeMemberId() {
        return inviteeMemberId;
    }

    public void setInviteeMemberId(String inviteeMemberId) {
        this.inviteeMemberId = inviteeMemberId;
    }

    public String getInviteeUnionId() {
        return inviteeUnionId;
    }

    public void setInviteeUnionId(String inviteeUnionId) {
        this.inviteeUnionId = inviteeUnionId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public GroupChatActivityDTO getChatActivity() {
        return chatActivity;
    }

    public void setChatActivity(GroupChatActivityDTO chatActivity) {
        this.chatActivity = chatActivity;
    }

    public boolean isSkipArea() {
        return skipArea;
    }

    public void setSkipArea(boolean skipArea) {
        this.skipArea = skipArea;
    }

    public String getDistrictCode() {
        return districtCode;
    }

    public void setDistrictCode(String districtCode) {
        this.districtCode = districtCode;
    }
}

